searchData={"items":[{"type":"module","doc":"Noora is a component library for building web applications with Phoenix LiveView.","title":"Noora","ref":"Noora.html"},{"type":"module","doc":"To start, add `noora` to your list of dependencies in `mix.exs`:\n\n```elixir\ndefp deps do\n  [\n    {:noora, \"~> 0.1.0\"}\n  ]\nend\n```\n\nAdditionally, you need to add the stylesheet and scripts to your own assets.  \nThese come bundled with the package, so, assuming that you are using the default Phoenix setup, you can import them to your `assets/css/app.css` and `assets/js/app.js` files:\n\n```css\n/* assets/css/app.css */\n@import \"noora/noora.css\";\n```\n\n```javascript\n// assets/js/app.js\nimport Noora from \"noora\";\n\nlet liveSocket = new LiveSocket(\"/live\", Socket, {\n  // Your existing socket setup\n  hooks: { ...Noora },\n});\n```","title":"Installation - Noora","ref":"Noora.html#module-installation"},{"type":"module","doc":"Noora provides a set of Phoenix components that you can use in your LiveView templates.  \nTo see a list of available components, check the [documentation](https://hexdocs.pm/noora/).","title":"Usage - Noora","ref":"Noora.html#module-usage"},{"type":"module","doc":"An alert component.","title":"Noora.Alert","ref":"Noora.Alert.html"},{"type":"module","doc":"```elixir\n<.alert status=\"success\" title=\"Operation completed successfully\" />\n```","title":"Example - Noora.Alert","ref":"Noora.Alert.html#module-example"},{"type":"function","doc":"","title":"Noora.Alert.alert/1","ref":"Noora.Alert.html#alert/1"},{"type":"function","doc":"* `id` (`:string`) - Defaults to `nil`.\n* `type` (`:string`) - The type of alert. Defaults to `\"primary\"`. Must be one of `\"primary\"`, or `\"secondary\"`.\n* `status` (`:string`) (required) - The status of the alert. Must be one of `\"information\"`, `\"warning\"`, `\"error\"`, or `\"success\"`.\n* `size` (`:string`) - The size of the alert. Defaults to `\"medium\"`. Must be one of `\"small\"`, `\"medium\"`, or `\"large\"`.\n* `dismissible` (`:boolean`) - Whether the alert can be dismissed. Defaults to `false`.\n* `title` (`:string`) (required) - The title of the alert.\n* `description` (`:string`) - The description of the alert. Only shown if `size` is large. Defaults to `nil`.\n* Global attributes are accepted.","title":"Attributes - Noora.Alert.alert/1","ref":"Noora.Alert.html#alert/1-attributes"},{"type":"function","doc":"* `action`","title":"Slots - Noora.Alert.alert/1","ref":"Noora.Alert.html#alert/1-slots"},{"type":"module","doc":"A component for rendering an avatar image or initials if an image is not available.","title":"Noora.Avatar","ref":"Noora.Avatar.html"},{"type":"module","doc":"```elixir\n<.avatar id=\"user-1\" name=\"John Doe\" color=\"blue\" size=\"medium\" />\n```","title":"Example - Noora.Avatar","ref":"Noora.Avatar.html#module-example"},{"type":"function","doc":"","title":"Noora.Avatar.avatar/1","ref":"Noora.Avatar.html#avatar/1"},{"type":"function","doc":"* `id` (`:string`) (required) - The unique identifier for the avatar.\n* `name` (`:string`) (required) - The name of the account to render the avatar for.\n* `color` (`:string`) - The color of the avatar. Defaults to `\"pink\"`. Must be one of `\"gray\"`, `\"red\"`, `\"orange\"`, `\"yellow\"`, `\"azure\"`, `\"blue\"`, `\"purple\"`, or `\"pink\"`.\n* `image_href` (`:string`) - The URL of the image to render as the avatar. Defaults to `nil`.\n* `fallback` (`:string`) - Determines the fallback for when an image is not available. Can be either initials or a placeholder image. Defaults to `\"initials\"`. Must be one of `\"initials\"`, or `\"placeholder\"`.\n* `on_status_change` (`:string`) - Event handler for when the status of the avatar changes. Defaults to `nil`.\n* `size` (`:string`) - The size of the avatar. Defaults to medium. Defaults to `\"medium\"`. Must be one of `\"3xsmall\"`, `\"2xsmall\"`, `\"small\"`, `\"medium\"`, `\"large\"`, `\"2xlarge\"`, or `\"3xlarge\"`.\n* Global attributes are accepted.","title":"Attributes - Noora.Avatar.avatar/1","ref":"Noora.Avatar.html#avatar/1-attributes"},{"type":"module","doc":"Renders a customizable badge component with various styles, colors, sizes, and optional icons or status indicators.","title":"Noora.Badge","ref":"Noora.Badge.html"},{"type":"function","doc":"","title":"Noora.Badge.badge/1","ref":"Noora.Badge.html#badge/1"},{"type":"function","doc":"* `style` (`:string`) - The style of the badge. Defaults to `\"fill\"`. Must be one of `\"fill\"`, or `\"light-fill\"`.\n* `label` (`:string`) (required) - The label of the badge.\n* `color` (`:string`) - The color of the badge. Defaults to `\"neutral\"`. Must be one of `\"neutral\"`, `\"destructive\"`, `\"warning\"`, `\"attention\"`, `\"success\"`, `\"information\"`, `\"focus\"`, `\"primary\"`, or `\"secondary\"`.\n* `size` (`:string`) - The size of the badge. Defaults to `\"small\"`. Must be one of `\"small\"`, or `\"large\"`.\n* `disabled` (`:boolean`) - Whether the badge is disabled. Overrides the `color` attribute. Defaults to `false`.\n* `dot` (`:boolean`) - Whether to render a dot on the side of the label. Defaults to `false`.\n* Global attributes are accepted.","title":"Attributes - Noora.Badge.badge/1","ref":"Noora.Badge.html#badge/1-attributes"},{"type":"function","doc":"* `icon` - The icon to render next to the label. Overrides the `dot` attribute.","title":"Slots - Noora.Badge.badge/1","ref":"Noora.Badge.html#badge/1-slots"},{"type":"function","doc":"","title":"Noora.Badge.status_badge/1","ref":"Noora.Badge.html#status_badge/1"},{"type":"function","doc":"* `type` (`:string`) - Whether to render the prefix as a dot, or a status-specific icon. Defaults to `\"icon\"`. Must be one of `\"icon\"`, or `\"dot\"`.\n* `status` (`:string`) (required) - The status of the badge. Must be one of `\"success\"`, `\"error\"`, `\"warning\"`, `\"attention\"`, or `\"disabled\"`.\n* `label` (`:string`) (required) - The label of the badge.\n* Global attributes are accepted.","title":"Attributes - Noora.Badge.status_badge/1","ref":"Noora.Badge.html#status_badge/1-attributes"},{"type":"function","doc":"","title":"Noora.Badge.status_icon/1","ref":"Noora.Badge.html#status_icon/1"},{"type":"module","doc":"Renders a customizable banner component for displaying messages with different statuses (primary, error, success, warning, information), optional descriptions, and dismissible functionality. Supports a custom icon when the status is primary.","title":"Noora.Banner","ref":"Noora.Banner.html"},{"type":"module","doc":"```elixir\n<.banner id=\"notice\" status=\"success\" title=\"Changes saved successfully\" />\n```","title":"Example - Noora.Banner","ref":"Noora.Banner.html#module-example"},{"type":"function","doc":"","title":"Noora.Banner.banner/1","ref":"Noora.Banner.html#banner/1"},{"type":"function","doc":"* `id` (`:string`) (required)\n* `status` (`:string`) - The status of the banner. Defaults to `\"primary\"`. Must be one of `\"primary\"`, `\"error\"`, `\"success\"`, `\"warning\"`, or `\"information\"`.\n* `title` (`:string`) (required) - The title of the banner.\n* `description` (`:string`) - The description of the banner. Defaults to `nil`.\n* `dismissible` (`:boolean`) - Whether the banner is dismissible or not. Defaults to `false`.","title":"Attributes - Noora.Banner.banner/1","ref":"Noora.Banner.html#banner/1-attributes"},{"type":"function","doc":"* `icon` - A custom icon. Only applicable when status is primary.","title":"Slots - Noora.Banner.banner/1","ref":"Noora.Banner.html#banner/1-slots"},{"type":"module","doc":"Renders a breadcrumbs component with.","title":"Noora.Breadcrumbs","ref":"Noora.Breadcrumbs.html"},{"type":"module","doc":"```elixir\n<.breadcrumbs style=\"slash\">\n  <.breadcrumb id=\"home\" label=\"Home\" />\n  <.breadcrumb id=\"products\" label=\"Products\" />\n  <.breadcrumb id=\"category\" label=\"Electronics\" />\n</.breadcrumbs>\n```","title":"Example - Noora.Breadcrumbs","ref":"Noora.Breadcrumbs.html#module-example"},{"type":"function","doc":"","title":"Noora.Breadcrumbs.breadcrumb/1","ref":"Noora.Breadcrumbs.html#breadcrumb/1"},{"type":"function","doc":"* `id` (`:string`) (required) - Unique identifier for the breadcrumb component.\n* `label` (`:string`) (required) - Main text displayed in the breadcrumb trigger.\n* `on_open_change` (`:string`) - Event handler for when the breadcrumb opens. Defaults to `nil`.\n* `on_highlight_change` (`:string`) - Event handler for when the highlighted option changes. Defaults to `nil`.\n* `on_select` (`:string`) - Event handler for when an option is selected. Defaults to `nil`.\n* `on_escape_key_down` (`:string`) - Event handler for when the escape key is pressed. Defaults to `nil`.\n* `on_pointer_down_outside` (`:string`) - Event handler for when the pointer is pressed outside the breadcrumb. Defaults to `nil`.\n* `on_focus_outside` (`:string`) - Function called when the focus is moved outside the component. Defaults to `nil`.\n* `on_interact_outside` (`:string`) - Function called when an interaction happens outside the component. Defaults to `nil`.\n* `show_avatar` (`:boolean`) - Whether to show the avatar. Defaults to `false`.\n* `avatar_color` (`:string`) - Color of the avatar when avatar is shown. Defaults to `\"pink\"`. Must be one of `\"gray\"`, `\"red\"`, `\"orange\"`, `\"yellow\"`, `\"azure\"`, `\"blue\"`, `\"purple\"`, or `\"pink\"`.\n* Global attributes are accepted.","title":"Attributes - Noora.Breadcrumbs.breadcrumb/1","ref":"Noora.Breadcrumbs.html#breadcrumb/1-attributes"},{"type":"function","doc":"* `icon` - Breadcrumb icon.\n* `inner_block` - Content to be rendered inside the breadcrumb menu.","title":"Slots - Noora.Breadcrumbs.breadcrumb/1","ref":"Noora.Breadcrumbs.html#breadcrumb/1-slots"},{"type":"function","doc":"","title":"Noora.Breadcrumbs.breadcrumb_item/1","ref":"Noora.Breadcrumbs.html#breadcrumb_item/1"},{"type":"function","doc":"* `id` (`:string`)\n* `label` (`:string`) (required) - Text displayed as the main content of the item.\n* `value` (`:string`) (required) - Value associated with the breadcrumb item.\n* `selected` (`:boolean`) - Whether the item is selected. Defaults to `false`.\n* `href` (`:string`) - Standard URL for navigation. Defaults to `nil`.\n* `show_avatar` (`:boolean`) - Whether to show the avatar. Defaults to `false`.\n* `avatar_color` (`:string`) - Color of the avatar when avatar is shown. Defaults to `\"pink\"`. Must be one of `\"gray\"`, `\"red\"`, `\"orange\"`, `\"yellow\"`, `\"azure\"`, `\"blue\"`, `\"purple\"`, or `\"pink\"`.","title":"Attributes - Noora.Breadcrumbs.breadcrumb_item/1","ref":"Noora.Breadcrumbs.html#breadcrumb_item/1-attributes"},{"type":"function","doc":"","title":"Noora.Breadcrumbs.breadcrumbs/1","ref":"Noora.Breadcrumbs.html#breadcrumbs/1"},{"type":"function","doc":"* `style` (`:string`) - The separator style between breadcrumbs. Defaults to `\"slash\"`. Must be one of `\"slash\"`, or `\"arrow\"`.\n* Global attributes are accepted. Additional HTML attributes.","title":"Attributes - Noora.Breadcrumbs.breadcrumbs/1","ref":"Noora.Breadcrumbs.html#breadcrumbs/1-attributes"},{"type":"function","doc":"* `inner_block` - Breadcrumb items to be rendered.","title":"Slots - Noora.Breadcrumbs.breadcrumbs/1","ref":"Noora.Breadcrumbs.html#breadcrumbs/1-slots"},{"type":"module","doc":"A component for rendering both standard buttons and link-style buttons, offering flexible styling options for variants, sizes, and icon placement.","title":"Noora.Button","ref":"Noora.Button.html"},{"type":"function","doc":"","title":"Noora.Button.button/1","ref":"Noora.Button.html#button/1"},{"type":"function","doc":"* `label` (`:string`) - The label of the button.\n* `variant` (`:string`) - Determines the style. Defaults to `\"primary\"`. Must be one of `\"primary\"`, `\"secondary\"`, or `\"destructive\"`.\n* `size` (`:string`) - Determines the overall size of the elements, including padding, font size, and other items. Defaults to `\"large\"`. Must be one of `\"small\"`, `\"medium\"`, or `\"large\"`.\n* `href` (`:any`) - Uses traditional browser navigation to the new location. Defaults to `nil`.\n* `navigate` (`:string`) - Navigates to a LiveView. Defaults to `nil`.\n* `patch` (`:string`) - Patches the current LiveView. Defaults to `nil`.\n* `icon_only` (`:boolean`) - Determines if the button is icon only. Defaults to `false`.\n* Global attributes are accepted. Supports all globals plus: `[\"phx-click\", \"disabled\"]`.","title":"Attributes - Noora.Button.button/1","ref":"Noora.Button.html#button/1-attributes"},{"type":"function","doc":"* `icon_left` - Icon displayed on the left of an item.\n* `icon_right` - Icon displayed on the right of an item.\n* `inner_block` - Inner block that renders HEEx content.","title":"Slots - Noora.Button.button/1","ref":"Noora.Button.html#button/1-slots"},{"type":"function","doc":"","title":"Noora.Button.button_sizes/0","ref":"Noora.Button.html#button_sizes/0"},{"type":"function","doc":"","title":"Noora.Button.button_variants/0","ref":"Noora.Button.html#button_variants/0"},{"type":"function","doc":"","title":"Noora.Button.link_button/1","ref":"Noora.Button.html#link_button/1"},{"type":"function","doc":"* `label` (`:string`) (required) - The label of the button.\n* `variant` (`:string`) - Determines the style. Defaults to `\"primary\"`. Must be one of `\"primary\"`, `\"secondary\"`, or `\"destructive\"`.\n* `size` (`:string`) - Determines the overall size of the elements, including padding, font size, and other items. Defaults to `\"large\"`. Must be one of `\"small\"`, `\"medium\"`, or `\"large\"`.\n* `href` (`:any`) - Uses traditional browser navigation to the new location. Defaults to `nil`.\n* `navigate` (`:string`) - Navigates to a LiveView. Defaults to `nil`.\n* `patch` (`:string`) - Patches the current LiveView. Defaults to `nil`.\n* `underline` (`:boolean`) - Determines if the button is underlined. Defaults to `false`.\n* Global attributes are accepted.","title":"Attributes - Noora.Button.link_button/1","ref":"Noora.Button.html#link_button/1-attributes"},{"type":"function","doc":"* `icon_left` - Icon displayed on the left of an item.\n* `icon_right` - Icon displayed on the right of an item.","title":"Slots - Noora.Button.link_button/1","ref":"Noora.Button.html#link_button/1-slots"},{"type":"function","doc":"","title":"Noora.Button.neutral_button/1","ref":"Noora.Button.html#neutral_button/1"},{"type":"function","doc":"* `variant` (`:string`) - Determines the style. Defaults to `\"primary\"`. Must be one of `\"primary\"`, `\"secondary\"`, or `\"destructive\"`.\n* `size` (`:string`) - Determines the overall size of the elements, including padding, font size, and other items. Defaults to `\"large\"`. Must be one of `\"small\"`, `\"medium\"`, or `\"large\"`.\n* `href` (`:any`) - Uses traditional browser navigation to the new location. Defaults to `nil`.\n* `navigate` (`:string`) - Navigates to a LiveView. Defaults to `nil`.\n* `patch` (`:string`) - Patches the current LiveView. Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"phx-click\", \"disabled\"]`.","title":"Attributes - Noora.Button.neutral_button/1","ref":"Noora.Button.html#neutral_button/1-attributes"},{"type":"function","doc":"* `inner_block` (required) - Inner block that renders HEEx content.","title":"Slots - Noora.Button.neutral_button/1","ref":"Noora.Button.html#neutral_button/1-slots"},{"type":"module","doc":"ButtonGroup component for Noora UI.\n\nThis component allows grouping multiple buttons together with consistent styling and spacing.\nIt handles layout, alignment, and proper spacing between buttons in the group.","title":"Noora.ButtonGroup","ref":"Noora.ButtonGroup.html"},{"type":"module","doc":"```elixir\n<.button_group size=\"medium\">\n  <.button_group_item label=\"Edit\" navigate=\"/edit\" />\n  <.button_group_item label=\"Delete\" />\n</.button_group>\n```","title":"Example - Noora.ButtonGroup","ref":"Noora.ButtonGroup.html#module-example"},{"type":"function","doc":"","title":"Noora.ButtonGroup.button_group/1","ref":"Noora.ButtonGroup.html#button_group/1"},{"type":"function","doc":"* `size` (`:string`) - The size of the button group. Defaults to `\"medium\"`. Must be one of `\"small\"`, `\"medium\"`, or `\"large\"`.\n* Global attributes are accepted. Additional HTML attributes.","title":"Attributes - Noora.ButtonGroup.button_group/1","ref":"Noora.ButtonGroup.html#button_group/1-attributes"},{"type":"function","doc":"* `inner_block` (required) - Button group items to be rendered.","title":"Slots - Noora.ButtonGroup.button_group/1","ref":"Noora.ButtonGroup.html#button_group/1-slots"},{"type":"function","doc":"","title":"Noora.ButtonGroup.button_group_item/1","ref":"Noora.ButtonGroup.html#button_group_item/1"},{"type":"function","doc":"* `label` (`:string`) (required) - The label of the button group item.\n* `href` (`:any`) - Uses traditional browser navigation to the new location. Defaults to `nil`.\n* `navigate` (`:string`) - Navigates to a LiveView. Defaults to `nil`.\n* `patch` (`:string`) - Patches the current LiveView. Defaults to `nil`.\n* `icon_only` (`:boolean`) - Determines if the button is icon only. Defaults to `false`.\n* Global attributes are accepted.","title":"Attributes - Noora.ButtonGroup.button_group_item/1","ref":"Noora.ButtonGroup.html#button_group_item/1-attributes"},{"type":"function","doc":"* `icon_left` - Icon displayed on the left of an item.\n* `icon_right` - Icon displayed on the right of an item.\n* `inner_block` - Inner block that renders HEEx content.","title":"Slots - Noora.ButtonGroup.button_group_item/1","ref":"Noora.ButtonGroup.html#button_group_item/1-slots"},{"type":"module","doc":"A card component, used to separate content into sections.","title":"Noora.Card","ref":"Noora.Card.html"},{"type":"module","doc":"```elixir\n<.card icon=\"layers\" title=\"Overview\">\n  <.card_section>\n     Content goes here \n  </.card_section>\n</.card>\n```","title":"Example - Noora.Card","ref":"Noora.Card.html#module-example"},{"type":"function","doc":"The main card container.","title":"Noora.Card.card/1","ref":"Noora.Card.html#card/1"},{"type":"function","doc":"* `icon` (`:string`) (required) - The icon to display in the card.\n* `title` (`:string`) (required) - The title of the card.\n* Global attributes are accepted.","title":"Attributes - Noora.Card.card/1","ref":"Noora.Card.html#card/1-attributes"},{"type":"function","doc":"* `actions` - Slots for actions to be displayed in the card. Rendered to the right of the title.\n* `inner_block` (required)","title":"Slots - Noora.Card.card/1","ref":"Noora.Card.html#card/1-slots"},{"type":"function","doc":"A generic wrapper around a piece of content to be displayed in a card.\nEach card can contain multiple content sections.","title":"Noora.Card.card_section/1","ref":"Noora.Card.html#card_section/1"},{"type":"function","doc":"* `class` (`:string`) - The class to apply to the card section. Defaults to `\"\"`.\n* Global attributes are accepted.","title":"Attributes - Noora.Card.card_section/1","ref":"Noora.Card.html#card_section/1-attributes"},{"type":"function","doc":"* `inner_block` (required)","title":"Slots - Noora.Card.card_section/1","ref":"Noora.Card.html#card_section/1-slots"},{"type":"module","doc":"A powerful charting component powered by ECharts.","title":"Noora.Chart","ref":"Noora.Chart.html"},{"type":"module","doc":"```elixir\n<.chart\n  id=\"revenue-chart\"\n  type=\"line\"\n  series={[10, 20, 30, 40]}\n  labels={[\"Q1\", \"Q2\", \"Q3\", \"Q4\"]}\n  title=\"Quarterly Revenue\"\n/>\n```","title":"Example - Noora.Chart","ref":"Noora.Chart.html#module-example"},{"type":"module","doc":"For labels, we offer a few custom formatters:\n\n- `firstAndLastDate`: Renders the first and last label only as dates. This is useful for time series charts.\n\nIf this does not match your use case, you can also pass a completely custom formatter. This expects a global `nooraChartFormatters` object\nwith a function named after the formatter you want to use. For example, if you want to use a \"first label only\" formatter, you can define\na function named `firstLabelOnly` in the `nooraChartFormatters` object as such:\n\n```js\nnooraChartFormatters = {\n  firstLabelOnly: (el) => (value, index) => {\n    if (index === 0) {\n      return value;\n    }\n  }\n};\n```\n\nYou can use these function-based formatters in your chart configuration as such:\n\n```elixir\n%{\n  extra_options: %{\n    xAxis: %{\n      axisLabel: %{\n        formatter: \"fn:firstLabelOnly\"\n      }\n    }\n  }\n```","title":"Custom formatters - Noora.Chart","ref":"Noora.Chart.html#module-custom-formatters"},{"type":"function","doc":"","title":"Noora.Chart.chart/1","ref":"Noora.Chart.html#chart/1"},{"type":"function","doc":"* `id` (`:string`) (required) - The ID used for the chart container.\n* `type` (`:string`) - The type of chart to render. Defaults to \"bar\".\n  Available types: bar, line, pie, scatter, radar\n\n  Defaults to `\"bar\"`. Must be one of `\"bar\"`, `\"line\"`, `\"pie\"`, `\"scatter\"`, or `\"radar\"`.\n* `series` (`:any`) - The series data for the chart. Structure depends on chart type:\n\n  For bar/line charts:\n    - A list of values: [10, 20, 30]\n    - A list of maps with names: [%{name: \"Series 1\", values: [10, 20, 30]}]\n    - A list of series with different types: [%{name: \"Bar\", type: \"bar\", values: [10, 20, 30]}, %{name: \"Line\", type: \"line\", values: [5, 15, 25]}]\n    - A list of time series: [%{name: \"Series 1\", data: [[\"2024-01-01\", 10], [\"2024-01-02\", 20]]}]\n\n  For pie charts:\n    - A list of maps with name and value: [%{name: \"A\", value: 10}, %{name: \"B\", value: 20}]\n\n  For scatter charts:\n    - A list of [x, y] points: [[10, 20], [30, 40]]\n    - A list of maps with series: [%{name: \"Series 1\", data: [[10, 20], [30, 40]]}]\n\n  Defaults to `nil`.\n* `labels` (`:list`) - Category labels for the x-axis (for bar/line charts) or data point names (for pie charts).\n  Example: [\"Jan\", \"Feb\", \"Mar\"]\n\n  Defaults to `[]`.\n* `title` (`:string`) - Main title for the chart. Defaults to `nil`.\n* `subtitle` (`:string`) - Subtitle shown below the main title. Defaults to `nil`.\n* `show_legend` (`:boolean`) - Whether to show the chart legend. Defaults to `true`.\n* `legend_position` (`:string`) - Position of the legend. Options: \"top\", \"bottom\", \"left\", \"right\". Defaults to `\"top\"`. Must be one of `\"top\"`, `\"bottom\"`, `\"left\"`, or `\"right\"`.\n* `colors` (`:list`) - Custom colors for data series.\n\n  The given items can either be a hex string, such as \"#4C9AFF\", or a CSS variable, prefixed with `var:`, but omitting the `--` prefix,\n  such as `chart-primary`.\n  The CSS variable is expected to be on the `:root` element, so the variable would be defined as such:\n\n  ```css\n  :root {\n    --chart-primary: #4C9AFF;\n  }\n  ```\n\n  In addition, the color setting supports the `light-dark()` function, which can be used to automatically resolve the appropriate color\n  based on the the color scheme. That way, the variable can be defined as such:\n\n  ```css\n  :root {\n    --chart-primary: light-dark(#4C9AFF, #36B37E);\n  }\n  ```\n\n  Example: [\"#4C9AFF\", \"#36B37E\", \"#FF5630\", \"#FFAB00\", \"#6554C0\"]\n\n  Defaults to `[\"var:noora-chart-primary\", \"var:noora-chart-secondary\", \"var:noora-chart-tertiary\", \"var:noora-chart-quaternary\"]`.\n* `stacked` (`:boolean`) - For bar/line charts, whether series should be stacked. Defaults to `false`.\n* `show_values` (`:boolean`) - Whether to show data values directly on the chart. Defaults to `false`.\n* `smooth` (`:boolean`) - For line charts, whether to use smooth curves instead of straight lines. Defaults to `false`.\n* `donut` (`:boolean`) - For pie charts, whether to render as a donut chart. Defaults to `false`.\n* `donut_radius` (`:list`) - For donut charts, the inner and outer radius. Default: [\"50%\", \"70%\"]. Defaults to `[\"50%\", \"70%\"]`.\n* `x_axis_name` (`:string`) - Name for the X axis. Example: \"Month\". Defaults to `nil`.\n* `y_axis_name` (`:string`) - Name for the Y axis. Example: \"Revenue ($)\". Defaults to `nil`.\n* `x_axis_min` (`:integer`) - Minimum value for the X axis. Example: 0. Defaults to `nil`.\n* `x_axis_max` (`:integer`) - Maximum value for the X axis. Example: 100. Defaults to `nil`.\n* `y_axis_min` (`:integer`) - Minimum value for the Y axis. Example: 0. Defaults to `nil`.\n* `y_axis_max` (`:integer`) - Maximum value for the Y axis. Example: 100. Defaults to `nil`.\n* `grid_lines` (`:boolean`) - Whether to show grid lines on the chart. Defaults to `true`.\n* `horizontal` (`:boolean`) - Whether to display a horizontal bar chart (with category axis on y-axis). Defaults to `false`.\n* `bar_width` (`:integer`) - Width of bars in bar charts (in pixels). Defaults to `nil`.\n* `bar_radius` (`:integer`) - Border radius of bars in bar charts (in pixels). Defaults to `nil`.\n* `extra_options` (`:map`) - Additional ECharts options for advanced customization.\n  These will be deeply merged with options generated from other attributes.\n\n  Defaults to `%{}`.\n* Global attributes are accepted. Additional HTML attributes to add to the container div.","title":"Attributes - Noora.Chart.chart/1","ref":"Noora.Chart.html#chart/1-attributes"},{"type":"module","doc":"An input checkbox.","title":"Noora.Checkbox","ref":"Noora.Checkbox.html"},{"type":"module","doc":"```elixir\n<.checkbox label=\"I agree to the terms\" />\n```","title":"Example - Noora.Checkbox","ref":"Noora.Checkbox.html#module-example"},{"type":"function","doc":"","title":"Noora.Checkbox.checkbox/1","ref":"Noora.Checkbox.html#checkbox/1"},{"type":"function","doc":"* `label` (`:string`) (required) - The label of the checkbox.\n* `description` (`:string`) - An optional description. Defaults to `nil`.\n* `indeterminate` (`:boolean`) - Whether the checkbox is indeterminate. Defaults to `false`.\n* `disabled` (`:boolean`) - Whether the checkbox is disabled. Defaults to `false`.\n* `id` (`:string`) - The id of the checkbox. Defaults to `nil`.\n* `field` (`Phoenix.HTML.FormField`) - A Phoenix form field. Defaults to `nil`.\n* `multiple` (`:boolean`) - Whether the checkbox is part of a multiple checkbox group. Defaults to `false`.","title":"Attributes - Noora.Checkbox.checkbox/1","ref":"Noora.Checkbox.html#checkbox/1-attributes"},{"type":"module","doc":"Renders a dismiss icon button for closing or removing elements, with customizable size.","title":"Noora.DismissIcon","ref":"Noora.DismissIcon.html"},{"type":"module","doc":"```elixir\n<.dismiss_icon size=\"small\" on_dismiss=\"hide-banner\" />\n```","title":"Example - Noora.DismissIcon","ref":"Noora.DismissIcon.html#module-example"},{"type":"function","doc":"","title":"Noora.DismissIcon.dismiss_icon/1","ref":"Noora.DismissIcon.html#dismiss_icon/1"},{"type":"function","doc":"* `size` (`:string`) - The size of the icon. Defaults to `\"large\"`. Must be one of `\"small\"`, or `\"large\"`.\n* `on_dismiss` (`:string`) - Event to trigger when the dismiss icon is clicked. Defaults to `nil`.\n* Global attributes are accepted. Additional HTML attributes. Supports all globals plus: `[\"disabled\"]`.","title":"Attributes - Noora.DismissIcon.dismiss_icon/1","ref":"Noora.DismissIcon.html#dismiss_icon/1-attributes"},{"type":"module","doc":"Renders a customizable dropdown component with a trigger, menu, and item options, supporting icons, labels, and event handling.","title":"Noora.Dropdown","ref":"Noora.Dropdown.html"},{"type":"module","doc":"```elixir\n<.dropdown id=\"menu\" label=\"Options\">\n  <.dropdown_item label=\"Edit\" navigate=\"/edit\" />\n  <.dropdown_item label=\"Delete\" on_click=\"delete\" />\n</.dropdown>\n```","title":"Example - Noora.Dropdown","ref":"Noora.Dropdown.html#module-example"},{"type":"function","doc":"","title":"Noora.Dropdown.dropdown/1","ref":"Noora.Dropdown.html#dropdown/1"},{"type":"function","doc":"* `id` (`:string`) (required) - Unique identifier for the dropdown component.\n* `label` (`:string`) - Main text displayed in the dropdown trigger. Defaults to `nil`.\n* `secondary_text` (`:string`) - Secondary text displayed to the left of the main label. Defaults to `nil`.\n* `icon_only` (`:boolean`) - Whether the dropdown trigger is icon-only. Defaults to `false`.\n* `hint` (`:string`) - Hint text for the dropdown. Defaults to `nil`.\n* `disabled` (`:boolean`) - Whether the dropdown is disabled. Defaults to `nil`.\n* `on_open_change` (`:string`) - Event handler for when the dropdown opens. Defaults to `nil`.\n* `on_highlight_change` (`:string`) - Event handler for when the highlighted option changes. Defaults to `nil`.\n* `on_select` (`:string`) - Event handler for when an option is selected. Defaults to `nil`.\n* `on_escape_key_down` (`:string`) - Event handler for when the escape key is pressed. Defaults to `nil`.\n* `on_pointer_down_outside` (`:string`) - Event handler for when the pointer is pressed outside the dropdown. Defaults to `nil`.\n* `on_focus_outside` (`:string`) - Function called when the focus is moved outside the component. Defaults to `nil`.\n* `on_interact_outside` (`:string`) - Function called when an interaction happens outside the component. Defaults to `nil`.","title":"Attributes - Noora.Dropdown.dropdown/1","ref":"Noora.Dropdown.html#dropdown/1-attributes"},{"type":"function","doc":"* `icon` - Icon to be rendered in the dropdown trigger.\n* `inner_block` - Content to be rendered inside the dropdown menu.","title":"Slots - Noora.Dropdown.dropdown/1","ref":"Noora.Dropdown.html#dropdown/1-slots"},{"type":"function","doc":"","title":"Noora.Dropdown.dropdown_item/1","ref":"Noora.Dropdown.html#dropdown_item/1"},{"type":"function","doc":"* `value` (`:string`) - Value associated with the dropdown item.\n* `on_click` (`:string`) - Event handler for when the dropdown item is clicked. Defaults to `nil`.\n* `patch` (`:string`) - Phoenix LiveView patch navigation path. Defaults to `nil`.\n* `navigate` (`:string`) - Phoenix LiveView navigation path. Defaults to `nil`.\n* `href` (`:string`) - Standard URL for navigation. Defaults to `nil`.\n* `size` (`:string`) - Size of the dropdown item. Defaults to `\"small\"`. Must be one of `\"small\"`, or `\"large\"`.\n* `label` (`:string`) (required) - Text displayed as the main content of the item.\n* `secondary_text` (`:string`) - Secondary text displayed in parentheses after the label. Defaults to `nil`.\n* `description` (`:string`) - Additional description text (only visible when size is 'large'). Defaults to `nil`.\n* Global attributes are accepted. Additional HTML attributes.","title":"Attributes - Noora.Dropdown.dropdown_item/1","ref":"Noora.Dropdown.html#dropdown_item/1-attributes"},{"type":"function","doc":"* `right_icon` - Optional slot for rendering an icon on the right side of the item.\n* `left_icon` - Optional slot for rendering an icon on the left side of the item.","title":"Slots - Noora.Dropdown.dropdown_item/1","ref":"Noora.Dropdown.html#dropdown_item/1-slots"},{"type":"function","doc":"","title":"Noora.Dropdown.dropdown_separator/1","ref":"Noora.Dropdown.html#dropdown_separator/1"},{"type":"function","doc":"","title":"Noora.Dropdown.inline_dropdown/1","ref":"Noora.Dropdown.html#inline_dropdown/1"},{"type":"function","doc":"* `id` (`:string`) (required) - Unique identifier for the dropdown component.\n* `label` (`:string`) - Main text displayed in the dropdown trigger. Defaults to `nil`.\n* `disabled` (`:boolean`) - Whether the dropdown is disabled. Defaults to `nil`.\n* `on_open_change` (`:string`) - Event handler for when the dropdown opens. Defaults to `nil`.\n* `on_highlight_change` (`:string`) - Event handler for when the highlighted option changes. Defaults to `nil`.\n* `on_select` (`:string`) - Event handler for when an option is selected. Defaults to `nil`.\n* `on_escape_key_down` (`:string`) - Event handler for when the escape key is pressed. Defaults to `nil`.\n* `on_pointer_down_outside` (`:string`) - Event handler for when the pointer is pressed outside the dropdown. Defaults to `nil`.\n* `on_focus_outside` (`:string`) - Function called when the focus is moved outside the component. Defaults to `nil`.\n* `on_interact_outside` (`:string`) - Function called when an interaction happens outside the component. Defaults to `nil`.","title":"Attributes - Noora.Dropdown.inline_dropdown/1","ref":"Noora.Dropdown.html#inline_dropdown/1-attributes"},{"type":"function","doc":"* `inner_block` - Content to be rendered inside the dropdown menu.","title":"Slots - Noora.Dropdown.inline_dropdown/1","ref":"Noora.Dropdown.html#inline_dropdown/1-slots"},{"type":"module","doc":"A comprehensive filtering system with dropdown and active filter components.","title":"Noora.Filter","ref":"Noora.Filter.html"},{"type":"module","doc":"The filter system consists of two main components:\n- `filter_dropdown/1` - A dropdown to add new filters\n- `active_filter/1` - Displays and manages active filters","title":"Overview - Noora.Filter","ref":"Noora.Filter.html#module-overview"},{"type":"module","doc":"Filters are defined using the `Noora.Filter.Filter` struct with the following fields:\n\n- `:id` - Unique identifier for the filter (e.g., \"status\", \"created_at\")\n- `:display_name` - Human-readable name shown in the UI\n- `:type` - Filter type (`:text`, `:number`, or `:option`)\n- `:options` - List of available options (for `:option` type only)\n- `:options_display_names` - Map of option values to display names\n- `:operator` - Comparison operator (e.g., `:==`, `:=~`, `:<`)\n- `:value` - Current filter value","title":"Filter Configuration - Noora.Filter","ref":"Noora.Filter.html#module-filter-configuration"},{"type":"module","doc":"- **Text filters** (`:text`) - Support operators: `:==` (is), `:=~` (contains)\n- **Number filters** (`:number`) - Support operators: `:==`, `:<`, `:>`, `:<=`, `:>=`\n- **Option filters** (`:option`) - Support operators: `:==` (is), `:!=` (is not)","title":"Filter Types and Operators - Noora.Filter","ref":"Noora.Filter.html#module-filter-types-and-operators"},{"type":"module","doc":"","title":"LiveView Setup - Noora.Filter","ref":"Noora.Filter.html#module-liveview-setup"},{"type":"module","doc":"```elixir\n@impl true\ndef mount(_params, _session, socket) do\n  available_filters = [\n    %Noora.Filter.Filter{\n      id: \"status\",\n      display_name: \"Status\",\n      type: :option,\n      options: [:active, :inactive, :pending],\n      options_display_names: %{\n        active: \"Active\",\n        inactive: \"Inactive\",\n        pending: \"Pending\"\n      }\n    },\n    %Noora.Filter.Filter{\n      id: \"name\",\n      display_name: \"Name\",\n      type: :text\n    },\n    %Noora.Filter.Filter{\n      id: \"amount\",\n      display_name: \"Amount\",\n      type: :number\n    }\n  ]\n\n  {:ok, assign(socket, available_filters: available_filters, active_filters: [])}\nend\n```","title":"1. Define Available Filters - Noora.Filter","ref":"Noora.Filter.html#module-1-define-available-filters"},{"type":"module","doc":"```elixir\n@impl true\ndef handle_event(\"add_filter\", %{\"value\" => filter_id}, socket) do\n  # Add the selected filter with the Operations helper\n  params = Noora.Filter.Operations.add_filter_to_query(filter_id, socket)\n  {:noreply, push_patch(socket, to: ~p\"/items?#{params}\")}\nend\n\n@impl true\ndef handle_event(\"update_filter\", params, socket) do\n  # Update filter value or operator\n  updated_params = Noora.Filter.Operations.update_filters_in_query(params, socket)\n  {:noreply, push_patch(socket, to: ~p\"/items?#{updated_params}\")}\nend\n```","title":"2. Handle Filter Events - Noora.Filter","ref":"Noora.Filter.html#module-2-handle-filter-events"},{"type":"module","doc":"```elixir\n@impl true\ndef handle_params(params, _uri, socket) do\n  active_filters = Noora.Filter.Operations.decode_filters_from_query(\n    params,\n    socket.assigns.available_filters\n  )\n\n  {:noreply, assign(socket, active_filters: active_filters)}\nend\n```","title":"3. Parse Filters from URL - Noora.Filter","ref":"Noora.Filter.html#module-3-parse-filters-from-url"},{"type":"module","doc":"```heex\n \n  <.filter_dropdown\n    id=\"add-filter\"\n    available_filters={@available_filters}\n    active_filters={@active_filters}\n    on_select=\"add_filter\"\n  />\n\n  <.active_filter :for={filter <- @active_filters} filter={filter} />\n \n```","title":"4. Render the Components - Noora.Filter","ref":"Noora.Filter.html#module-4-render-the-components"},{"type":"module","doc":"The filter system integrates seamlessly with Flop for query building:\n\n```elixir\ndef list_items(params, available_filters) do\n  active_filters = Noora.Filter.Operations.decode_filters_from_query(params, available_filters)\n  flop_filters = Noora.Filter.Operations.convert_filters_to_flop(active_filters)\n\n  Flop.validate_and_run(Item, %{filters: flop_filters}, for: Item)\nend\n```","title":"Integration with Flop - Noora.Filter","ref":"Noora.Filter.html#module-integration-with-flop"},{"type":"module","doc":"Filters are stored in URL parameters using the pattern:\n- `filter_{id}_op` - The operator (e.g., \"==\", \"=~\")\n- `filter_{id}_val` - The value\n\nExample: `?filter_status_op===&filter_status_val=active&filter_amount_op=>&filter_amount_val=100`","title":"URL Parameter Format - Noora.Filter","ref":"Noora.Filter.html#module-url-parameter-format"},{"type":"function","doc":"","title":"Noora.Filter.active_filter/1","ref":"Noora.Filter.html#active_filter/1"},{"type":"function","doc":"* `filter` (`Noora.Filter.Filter`) (required)","title":"Attributes - Noora.Filter.active_filter/1","ref":"Noora.Filter.html#active_filter/1-attributes"},{"type":"function","doc":"","title":"Noora.Filter.filter_dropdown/1","ref":"Noora.Filter.html#filter_dropdown/1"},{"type":"function","doc":"* `available_filters` (`:list`) (required) - List of available filters to choose from.\n* `active_filters` (`:list`) (required) - List of currently active filters.\n* `id` (`:string`) (required) - Unique ID for the dropdown.\n* `label` (`:string`) - Label for the dropdown. Defaults to `\"Filter\"`.\n* `on_select` (`:string`) - Event to trigger when a filter is selected. Defaults to `\"add_filter\"`.\n* Global attributes are accepted. Additional attributes.","title":"Attributes - Noora.Filter.filter_dropdown/1","ref":"Noora.Filter.html#filter_dropdown/1-attributes"},{"type":"function","doc":"","title":"Noora.Filter.operator_text/1","ref":"Noora.Filter.html#operator_text/1"},{"type":"module","doc":"Represents a filter configuration with its current state.","title":"Noora.Filter.Filter","ref":"Noora.Filter.Filter.html"},{"type":"module","doc":"- `:id` - Unique identifier for the filter\n- `:display_name` - Human-readable name shown in the UI\n- `:type` - Filter type (`:text`, `:number`, or `:option`)\n- `:options` - List of available options (for `:option` type only)\n- `:options_display_names` - Map of option values to display names\n- `:operator` - Comparison operator (e.g., `:==`, `:=~`, `:<`)\n- `:value` - Current filter value","title":"Fields - Noora.Filter.Filter","ref":"Noora.Filter.Filter.html#module-fields"},{"type":"module","doc":"Renders hint text with an icon, providing contextual information or validation messages with different variants (default, error, disabled).","title":"Noora.HintText","ref":"Noora.HintText.html"},{"type":"module","doc":"```elixir\n<.hint_text label=\"Password must be at least 8 characters\" variant=\"default\" />\n```","title":"Example - Noora.HintText","ref":"Noora.HintText.html#module-example"},{"type":"function","doc":"","title":"Noora.HintText.hint_text/1","ref":"Noora.HintText.html#hint_text/1"},{"type":"function","doc":"* `label` (`:string`) (required) - The hint text.\n* `variant` (`:string`) - The variant of the hint text. Defaults to `\"default\"`. Must be one of `\"default\"`, `\"destructive\"`, or `\"disabled\"`.","title":"Attributes - Noora.HintText.hint_text/1","ref":"Noora.HintText.html#hint_text/1-attributes"},{"type":"module","doc":"Icons in use across the Noora design system.","title":"Noora.Icon","ref":"Noora.Icon.html"},{"type":"module","doc":"The module exposes all icons in two ways:\n1. As a function of the shape `<.{icon_name} />`\n2. As an `icon` component that takes a `name` attribute.\n\n```elixir\n<.mail />\n<.icon name=\"mail\" />\n```","title":"Usage - Noora.Icon","ref":"Noora.Icon.html#module-usage"},{"type":"module","doc":"Icons are automatically read and generated from the `icons` folder. To add an icon, simply add a SVG file to the folder. File names are\nrequired to be alphanumeric. Hyphens in the file name are automatically substituted to underscores.","title":"Adding an icon - Noora.Icon","ref":"Noora.Icon.html#module-adding-an-icon"},{"type":"function","doc":"","title":"Noora.Icon.alert_circle/1","ref":"Noora.Icon.html#alert_circle/1"},{"type":"function","doc":"","title":"Noora.Icon.alert_hexagon/1","ref":"Noora.Icon.html#alert_hexagon/1"},{"type":"function","doc":"","title":"Noora.Icon.alert_triangle/1","ref":"Noora.Icon.html#alert_triangle/1"},{"type":"function","doc":"","title":"Noora.Icon.apps/1","ref":"Noora.Icon.html#apps/1"},{"type":"function","doc":"","title":"Noora.Icon.arrow_left/1","ref":"Noora.Icon.html#arrow_left/1"},{"type":"function","doc":"","title":"Noora.Icon.asset/1","ref":"Noora.Icon.html#asset/1"},{"type":"function","doc":"","title":"Noora.Icon.book/1","ref":"Noora.Icon.html#book/1"},{"type":"function","doc":"","title":"Noora.Icon.brand_apple/1","ref":"Noora.Icon.html#brand_apple/1"},{"type":"function","doc":"","title":"Noora.Icon.brand_github/1","ref":"Noora.Icon.html#brand_github/1"},{"type":"function","doc":"","title":"Noora.Icon.brand_google/1","ref":"Noora.Icon.html#brand_google/1"},{"type":"function","doc":"","title":"Noora.Icon.brand_okta/1","ref":"Noora.Icon.html#brand_okta/1"},{"type":"function","doc":"","title":"Noora.Icon.brand_swift/1","ref":"Noora.Icon.html#brand_swift/1"},{"type":"function","doc":"","title":"Noora.Icon.brand_tuist/1","ref":"Noora.Icon.html#brand_tuist/1"},{"type":"function","doc":"","title":"Noora.Icon.building/1","ref":"Noora.Icon.html#building/1"},{"type":"function","doc":"","title":"Noora.Icon.bulb/1","ref":"Noora.Icon.html#bulb/1"},{"type":"function","doc":"","title":"Noora.Icon.cancel/1","ref":"Noora.Icon.html#cancel/1"},{"type":"function","doc":"","title":"Noora.Icon.category/1","ref":"Noora.Icon.html#category/1"},{"type":"function","doc":"","title":"Noora.Icon.chart_arcs/1","ref":"Noora.Icon.html#chart_arcs/1"},{"type":"function","doc":"","title":"Noora.Icon.chart_cohort/1","ref":"Noora.Icon.html#chart_cohort/1"},{"type":"function","doc":"","title":"Noora.Icon.chart_column/1","ref":"Noora.Icon.html#chart_column/1"},{"type":"function","doc":"","title":"Noora.Icon.chart_donut_4/1","ref":"Noora.Icon.html#chart_donut_4/1"},{"type":"function","doc":"","title":"Noora.Icon.check/1","ref":"Noora.Icon.html#check/1"},{"type":"function","doc":"","title":"Noora.Icon.chevron_down/1","ref":"Noora.Icon.html#chevron_down/1"},{"type":"function","doc":"","title":"Noora.Icon.chevron_left/1","ref":"Noora.Icon.html#chevron_left/1"},{"type":"function","doc":"","title":"Noora.Icon.chevron_right/1","ref":"Noora.Icon.html#chevron_right/1"},{"type":"function","doc":"","title":"Noora.Icon.chevron_up/1","ref":"Noora.Icon.html#chevron_up/1"},{"type":"function","doc":"","title":"Noora.Icon.circle_check/1","ref":"Noora.Icon.html#circle_check/1"},{"type":"function","doc":"","title":"Noora.Icon.close/1","ref":"Noora.Icon.html#close/1"},{"type":"function","doc":"","title":"Noora.Icon.copy/1","ref":"Noora.Icon.html#copy/1"},{"type":"function","doc":"","title":"Noora.Icon.credit_card/1","ref":"Noora.Icon.html#credit_card/1"},{"type":"function","doc":"","title":"Noora.Icon.custom_input_credit_card/1","ref":"Noora.Icon.html#custom_input_credit_card/1"},{"type":"function","doc":"","title":"Noora.Icon.dashboard/1","ref":"Noora.Icon.html#dashboard/1"},{"type":"function","doc":"","title":"Noora.Icon.database/1","ref":"Noora.Icon.html#database/1"},{"type":"function","doc":"","title":"Noora.Icon.device_desktop/1","ref":"Noora.Icon.html#device_desktop/1"},{"type":"function","doc":"","title":"Noora.Icon.device_desktop_analytics/1","ref":"Noora.Icon.html#device_desktop_analytics/1"},{"type":"function","doc":"","title":"Noora.Icon.device_desktop_share/1","ref":"Noora.Icon.html#device_desktop_share/1"},{"type":"function","doc":"","title":"Noora.Icon.device_laptop/1","ref":"Noora.Icon.html#device_laptop/1"},{"type":"function","doc":"","title":"Noora.Icon.device_mobile/1","ref":"Noora.Icon.html#device_mobile/1"},{"type":"function","doc":"","title":"Noora.Icon.device_mobile_share/1","ref":"Noora.Icon.html#device_mobile_share/1"},{"type":"function","doc":"","title":"Noora.Icon.device_vision_pro/1","ref":"Noora.Icon.html#device_vision_pro/1"},{"type":"function","doc":"","title":"Noora.Icon.device_vision_pro_share/1","ref":"Noora.Icon.html#device_vision_pro_share/1"},{"type":"function","doc":"","title":"Noora.Icon.device_watch/1","ref":"Noora.Icon.html#device_watch/1"},{"type":"function","doc":"","title":"Noora.Icon.device_watch_share/1","ref":"Noora.Icon.html#device_watch_share/1"},{"type":"function","doc":"","title":"Noora.Icon.devices/1","ref":"Noora.Icon.html#devices/1"},{"type":"function","doc":"","title":"Noora.Icon.devices_down/1","ref":"Noora.Icon.html#devices_down/1"},{"type":"function","doc":"","title":"Noora.Icon.directory/1","ref":"Noora.Icon.html#directory/1"},{"type":"function","doc":"","title":"Noora.Icon.dots_vertical/1","ref":"Noora.Icon.html#dots_vertical/1"},{"type":"function","doc":"","title":"Noora.Icon.download/1","ref":"Noora.Icon.html#download/1"},{"type":"function","doc":"","title":"Noora.Icon.exchange/1","ref":"Noora.Icon.html#exchange/1"},{"type":"function","doc":"","title":"Noora.Icon.external_link/1","ref":"Noora.Icon.html#external_link/1"},{"type":"function","doc":"","title":"Noora.Icon.eye/1","ref":"Noora.Icon.html#eye/1"},{"type":"function","doc":"","title":"Noora.Icon.eye_off/1","ref":"Noora.Icon.html#eye_off/1"},{"type":"function","doc":"","title":"Noora.Icon.file/1","ref":"Noora.Icon.html#file/1"},{"type":"function","doc":"","title":"Noora.Icon.file_zip/1","ref":"Noora.Icon.html#file_zip/1"},{"type":"function","doc":"","title":"Noora.Icon.filter/1","ref":"Noora.Icon.html#filter/1"},{"type":"function","doc":"","title":"Noora.Icon.filter_question/1","ref":"Noora.Icon.html#filter_question/1"},{"type":"function","doc":"","title":"Noora.Icon.filters/1","ref":"Noora.Icon.html#filters/1"},{"type":"function","doc":"","title":"Noora.Icon.folders/1","ref":"Noora.Icon.html#folders/1"},{"type":"function","doc":"","title":"Noora.Icon.git_branch/1","ref":"Noora.Icon.html#git_branch/1"},{"type":"function","doc":"","title":"Noora.Icon.history/1","ref":"Noora.Icon.html#history/1"},{"type":"function","doc":"","title":"Noora.Icon.history_toggle/1","ref":"Noora.Icon.html#history_toggle/1"},{"type":"function","doc":"","title":"Noora.Icon.icon/1","ref":"Noora.Icon.html#icon/1"},{"type":"function","doc":"","title":"Noora.Icon.info_circle/1","ref":"Noora.Icon.html#info_circle/1"},{"type":"function","doc":"","title":"Noora.Icon.language/1","ref":"Noora.Icon.html#language/1"},{"type":"function","doc":"","title":"Noora.Icon.layout_grid/1","ref":"Noora.Icon.html#layout_grid/1"},{"type":"function","doc":"","title":"Noora.Icon.lock_password/1","ref":"Noora.Icon.html#lock_password/1"},{"type":"function","doc":"","title":"Noora.Icon.logout/1","ref":"Noora.Icon.html#logout/1"},{"type":"function","doc":"","title":"Noora.Icon.mail/1","ref":"Noora.Icon.html#mail/1"},{"type":"function","doc":"","title":"Noora.Icon.minus/1","ref":"Noora.Icon.html#minus/1"},{"type":"function","doc":"","title":"Noora.Icon.package/1","ref":"Noora.Icon.html#package/1"},{"type":"function","doc":"","title":"Noora.Icon.pencil/1","ref":"Noora.Icon.html#pencil/1"},{"type":"function","doc":"","title":"Noora.Icon.player_play/1","ref":"Noora.Icon.html#player_play/1"},{"type":"function","doc":"","title":"Noora.Icon.progress_x/1","ref":"Noora.Icon.html#progress_x/1"},{"type":"function","doc":"","title":"Noora.Icon.schema/1","ref":"Noora.Icon.html#schema/1"},{"type":"function","doc":"","title":"Noora.Icon.screen_share/1","ref":"Noora.Icon.html#screen_share/1"},{"type":"function","doc":"","title":"Noora.Icon.search/1","ref":"Noora.Icon.html#search/1"},{"type":"function","doc":"","title":"Noora.Icon.selector/1","ref":"Noora.Icon.html#selector/1"},{"type":"function","doc":"","title":"Noora.Icon.settings/1","ref":"Noora.Icon.html#settings/1"},{"type":"function","doc":"","title":"Noora.Icon.slash/1","ref":"Noora.Icon.html#slash/1"},{"type":"function","doc":"","title":"Noora.Icon.smart_home/1","ref":"Noora.Icon.html#smart_home/1"},{"type":"function","doc":"","title":"Noora.Icon.square_rounded_arrow_down/1","ref":"Noora.Icon.html#square_rounded_arrow_down/1"},{"type":"function","doc":"","title":"Noora.Icon.square_rounded_arrow_up/1","ref":"Noora.Icon.html#square_rounded_arrow_up/1"},{"type":"function","doc":"","title":"Noora.Icon.stack_2/1","ref":"Noora.Icon.html#stack_2/1"},{"type":"function","doc":"","title":"Noora.Icon.subtask/1","ref":"Noora.Icon.html#subtask/1"},{"type":"function","doc":"","title":"Noora.Icon.trash/1","ref":"Noora.Icon.html#trash/1"},{"type":"function","doc":"","title":"Noora.Icon.trash_x/1","ref":"Noora.Icon.html#trash_x/1"},{"type":"function","doc":"","title":"Noora.Icon.treemap/1","ref":"Noora.Icon.html#treemap/1"},{"type":"function","doc":"","title":"Noora.Icon.trending_down/1","ref":"Noora.Icon.html#trending_down/1"},{"type":"function","doc":"","title":"Noora.Icon.trending_up/1","ref":"Noora.Icon.html#trending_up/1"},{"type":"function","doc":"","title":"Noora.Icon.user/1","ref":"Noora.Icon.html#user/1"},{"type":"function","doc":"","title":"Noora.Icon.user_x/1","ref":"Noora.Icon.html#user_x/1"},{"type":"function","doc":"","title":"Noora.Icon.versions/1","ref":"Noora.Icon.html#versions/1"},{"type":"module","doc":"Renders a label with an optional sublabel and a required indicator.","title":"Noora.Label","ref":"Noora.Label.html"},{"type":"module","doc":"```elixir\n<.label label=\"Email Address\" required={true} />\n```","title":"Example - Noora.Label","ref":"Noora.Label.html#module-example"},{"type":"function","doc":"","title":"Noora.Label.label/1","ref":"Noora.Label.html#label/1"},{"type":"function","doc":"* `label` (`:string`) (required) - The label.\n* `sublabel` (`:string`) - A sublabel. Defaults to `nil`.\n* `required` (`:boolean`) - Whether the field is required. Defaults to `false`.\n* Global attributes are accepted. Additional HTML attributes.","title":"Attributes - Noora.Label.label/1","ref":"Noora.Label.html#label/1-attributes"},{"type":"module","doc":"A component for rendering a line divider.","title":"Noora.LineDivider","ref":"Noora.LineDivider.html"},{"type":"module","doc":"```elixir\n<.line_divider text=\"or\" />\n```","title":"Example - Noora.LineDivider","ref":"Noora.LineDivider.html#module-example"},{"type":"function","doc":"","title":"Noora.LineDivider.line_divider/1","ref":"Noora.LineDivider.html#line_divider/1"},{"type":"function","doc":"* `text` (`:string`) - The text to display in the line divider. Defaults to `nil`.\n* Global attributes are accepted. Additional HTML attributes.","title":"Attributes - Noora.LineDivider.line_divider/1","ref":"Noora.LineDivider.html#line_divider/1-attributes"},{"type":"module","doc":"Renders a modal component with customizable headers, content, and footers, supporting various header types, sizes, and event handling.","title":"Noora.Modal","ref":"Noora.Modal.html"},{"type":"module","doc":"```elixir\n<.modal id=\"user-profile-modal\" title=\"Edit Profile\" description=\"Update your personal information\">\n  <:trigger>\n    <.button>Open Modal</.button>\n  </:trigger>\n  <:header_button>\n    <.button on_click=\"save-profile\">Save</.button>\n  </:header_button>\n   \n    <.input name=\"name\" label=\"Name\" />\n    <.input name=\"email\" label=\"Email\" type=\"email\" />\n   \n  <:footer>\n    <.modal_footer>\n      <:action>\n        <.button variant=\"ghost\">Cancel</.button>\n        <.button variant=\"primary\">Save Changes</.button>\n      </:action>\n    </.modal_footer>\n  </:footer>\n</.modal>\n```","title":"Example - Noora.Modal","ref":"Noora.Modal.html#module-example"},{"type":"function","doc":"","title":"Noora.Modal.modal/1","ref":"Noora.Modal.html#modal/1"},{"type":"function","doc":"* `id` (`:string`) (required) - The modal's unique identifier.\n* `title` (`:string`) - Title of the modal. Defaults to `nil`.\n* `description` (`:string`) - Description of the modal. Only visible when header_size is 'large'. Defaults to `nil`.\n* `header_type` (`:string`) - Type of the header. Defaults to `\"default\"`. Must be one of `\"default\"`, `\"icon\"`, `\"success\"`, `\"info\"`, `\"warning\"`, or `\"error\"`.\n* `header_size` (`:string`) - Size of the header. Defaults to `\"large\"`. Must be one of `\"small\"`, or `\"large\"`.\n* `on_dismiss` (`:string`) - Event to emit when the dismiss icon is clicked. Defaults to `nil`.\n* `on_open_change` (`:string`) - An optional event to fire when the modal is opened or closed. Defaults to `nil`.","title":"Attributes - Noora.Modal.modal/1","ref":"Noora.Modal.html#modal/1-attributes"},{"type":"function","doc":"* `trigger` (required) - The modal's trigger. Should be a button that accepts the attributes provided by the slot.\n* `header_icon` - Icon to be rendered in the header when type is 'icon'.\n* `header_button`\n* `footer` - The modal's footer element.\n* `inner_block`","title":"Slots - Noora.Modal.modal/1","ref":"Noora.Modal.html#modal/1-slots"},{"type":"function","doc":"","title":"Noora.Modal.modal_footer/1","ref":"Noora.Modal.html#modal_footer/1"},{"type":"function","doc":"* `type` (`:string`) - Type of the footer. Defaults to `\"default\"`. Must be one of `\"default\"`, or `\"stretch\"`.","title":"Attributes - Noora.Modal.modal_footer/1","ref":"Noora.Modal.html#modal_footer/1-attributes"},{"type":"function","doc":"* `action` - Actions to be rendered in the footer.\n* `inner_block`","title":"Slots - Noora.Modal.modal_footer/1","ref":"Noora.Modal.html#modal_footer/1-slots"},{"type":"module","doc":"Pagination group component for paginating with a defined set of pages. Do not use this component for cursor-based pagination.","title":"Noora.PaginationGroup","ref":"Noora.PaginationGroup.html"},{"type":"module","doc":"```elixir\n<.pagination_group\n  current_page={@current_page}\n  number_of_pages={25}\n  page_patch={fn page -> ~p\"/products?page=#{page}\" end}\n/>\n```","title":"Example - Noora.PaginationGroup","ref":"Noora.PaginationGroup.html#module-example"},{"type":"function","doc":"","title":"Noora.PaginationGroup.pagination_group/1","ref":"Noora.PaginationGroup.html#pagination_group/1"},{"type":"function","doc":"* `current_page` (`:integer`) (required) - The current page number.\n* `number_of_pages` (`:integer`) (required) - The number of pages to display.\n* `page_patch` (`:fun`) (required) - Get a patch for an individual page where the input is the index.\n* Global attributes are accepted.","title":"Attributes - Noora.PaginationGroup.pagination_group/1","ref":"Noora.PaginationGroup.html#pagination_group/1-attributes"},{"type":"module","doc":"Progress bar component","title":"Noora.ProgressBar","ref":"Noora.ProgressBar.html"},{"type":"module","doc":"```elixir\n<.progress_bar value={75} max={100} title=\"Upload Progress\" />\n```","title":"Example - Noora.ProgressBar","ref":"Noora.ProgressBar.html#module-example"},{"type":"function","doc":"","title":"Noora.ProgressBar.progress_bar/1","ref":"Noora.ProgressBar.html#progress_bar/1"},{"type":"function","doc":"* `value` (`:integer`) (required) - The current value.\n* `max` (`:integer`) (required) - Maximum value.\n* `title` (`:string`) - The title of the progress bar. Defaults to `nil`.\n* Global attributes are accepted.","title":"Attributes - Noora.ProgressBar.progress_bar/1","ref":"Noora.ProgressBar.html#progress_bar/1-attributes"},{"type":"function","doc":"* `description`","title":"Slots - Noora.ProgressBar.progress_bar/1","ref":"Noora.ProgressBar.html#progress_bar/1-slots"},{"type":"module","doc":"A select dropdown component for choosing from a list of options.","title":"Noora.Select","ref":"Noora.Select.html"},{"type":"module","doc":"```elixir\n<.select id=\"country\" label=\"Select Country\" name=\"country\" value=\"us\">\n  <:item value=\"us\" label=\"United States\" icon=\"flag\" />\n  <:item value=\"ca\" label=\"Canada\" icon=\"flag\" />\n  <:item value=\"uk\" label=\"United Kingdom\" icon=\"flag\" />\n</.select>\n```","title":"Example - Noora.Select","ref":"Noora.Select.html#module-example"},{"type":"function","doc":"","title":"Noora.Select.select/1","ref":"Noora.Select.html#select/1"},{"type":"function","doc":"* `id` (`:string`) (required) - Unique identifier for the dropdown component.\n* `label` (`:string`) (required) - Main text displayed in the dropdown trigger.\n* `field` (`Phoenix.HTML.FormField`) - A Phoenix form field.\n* `name` (`:string`) - The name attribute for the select input.\n* `value` (`:string`) - The currently selected value.\n* `hint` (`:string`) - Hint text for the dropdown. Defaults to `nil`.\n* `disabled` (`:boolean`) - Whether the dropdown is disabled. Defaults to `nil`.\n* `on_value_change` (`:string`) - Event handler for when an option is selected. Defaults to `nil`.","title":"Attributes - Noora.Select.select/1","ref":"Noora.Select.html#select/1-attributes"},{"type":"function","doc":"* `inner_block` - Content to be rendered inside the dropdown menu.\n* `item` - Accepts attributes:\n\n  * `icon` (`:string`)\n  * `label` (`:string`)\n  * `value` (`:string`)","title":"Slots - Noora.Select.select/1","ref":"Noora.Select.html#select/1-slots"},{"type":"module","doc":"Renders a keyboard shortcut key element with customizable size.","title":"Noora.ShortcutKey","ref":"Noora.ShortcutKey.html"},{"type":"module","doc":"```elixir\n<.shortcut_key size=\"large\">⌘</.shortcut_key>\n<.shortcut_key>K</.shortcut_key>\n```","title":"Example - Noora.ShortcutKey","ref":"Noora.ShortcutKey.html#module-example"},{"type":"function","doc":"","title":"Noora.ShortcutKey.shortcut_key/1","ref":"Noora.ShortcutKey.html#shortcut_key/1"},{"type":"function","doc":"* `size` (`:string`) - Size of the shortcut key. Defaults to `\"large\"`. Must be one of `\"small\"`, or `\"large\"`.","title":"Attributes - Noora.ShortcutKey.shortcut_key/1","ref":"Noora.ShortcutKey.html#shortcut_key/1-attributes"},{"type":"function","doc":"* `inner_block`","title":"Slots - Noora.ShortcutKey.shortcut_key/1","ref":"Noora.ShortcutKey.html#shortcut_key/1-slots"},{"type":"module","doc":"A flexible sidebar.","title":"Noora.Sidebar","ref":"Noora.Sidebar.html"},{"type":"module","doc":"```elixir\n<.sidebar>\n  <.sidebar_item\n    label=\"Dashboard\"\n    icon=\"home\"\n    patch={~p\"/dashboard\"}\n    selected={@live_action == :dashboard}\n  />\n  <.sidebar_group\n    id=\"products-group\"\n    label=\"Products\"\n    icon=\"package\"\n    collapsible={true}\n    default_open={true}\n  >\n    <.sidebar_item\n      label=\"All Products\"\n      icon=\"list\"\n      patch={~p\"/products\"}\n    />\n    <.sidebar_item\n      label=\"Add Product\"\n      icon=\"plus\"\n      patch={~p\"/products/new\"}\n    />\n  </.sidebar_group>\n</.sidebar>\n```","title":"Example - Noora.Sidebar","ref":"Noora.Sidebar.html#module-example"},{"type":"function","doc":"","title":"Noora.Sidebar.sidebar/1","ref":"Noora.Sidebar.html#sidebar/1"},{"type":"function","doc":"* `inner_block` (required)","title":"Slots - Noora.Sidebar.sidebar/1","ref":"Noora.Sidebar.html#sidebar/1-slots"},{"type":"function","doc":"","title":"Noora.Sidebar.sidebar_group/1","ref":"Noora.Sidebar.html#sidebar_group/1"},{"type":"function","doc":"* `id` (`:string`) (required)\n* `icon` (`:string`) (required) - The icon of the group.\n* `label` (`:string`) (required) - The label of the group.\n* `collapsible` (`:boolean`) - Whether the group is collapsible. Defaults to `true`.\n* `default_open` (`:boolean`) - Whether the group is open by default. Defaults to `false`.\n* `navigate` (`:string`) - Navigates to a LiveView. Defaults to `nil`.\n* `patch` (`:string`) - Patches the current LiveView. Defaults to `nil`.\n* `href` (`:any`) - Uses traditional browser navigation to the new location. Defaults to `nil`.\n* `selected` (`:boolean`) - Whether the item is selected. Defaults to `false`.\n* `disabled` (`:boolean`) - Whether the item is disabled. Defaults to `false`.\n* Global attributes are accepted.","title":"Attributes - Noora.Sidebar.sidebar_group/1","ref":"Noora.Sidebar.html#sidebar_group/1-attributes"},{"type":"function","doc":"* `inner_block`","title":"Slots - Noora.Sidebar.sidebar_group/1","ref":"Noora.Sidebar.html#sidebar_group/1-slots"},{"type":"function","doc":"","title":"Noora.Sidebar.sidebar_item/1","ref":"Noora.Sidebar.html#sidebar_item/1"},{"type":"function","doc":"* `label` (`:string`) (required) - The label of the item.\n* `icon` (`:string`) (required) - The icon of the item.\n* `selected` (`:boolean`) - Whether the item is selected. Defaults to `false`.\n* `navigate` (`:string`) - Navigates to a LiveView. Defaults to `nil`.\n* `patch` (`:string`) - Patches the current LiveView. Defaults to `nil`.\n* `href` (`:any`) - Uses traditional browser navigation to the new location. Defaults to `nil`.\n* Global attributes are accepted.","title":"Attributes - Noora.Sidebar.sidebar_item/1","ref":"Noora.Sidebar.html#sidebar_item/1-attributes"},{"type":"module","doc":"Tab menu components.","title":"Noora.TabMenu","ref":"Noora.TabMenu.html"},{"type":"module","doc":"```elixir\n<.tab_menu_horizontal>\n  <.tab_menu_horizontal_item\n    label=\"Overview\"\n    patch={~p\"/products/#{@product}/overview\"}\n    selected={@tab == :overview}\n  />\n  <.tab_menu_horizontal_item\n    label=\"Analytics\"\n    patch={~p\"/products/#{@product}/analytics\"}\n    selected={@tab == :analytics}\n  >\n    <:icon_left>\n      <.chart_icon />\n    </:icon_left>\n  </.tab_menu_horizontal_item>\n  <.tab_menu_horizontal_item\n    label=\"Settings\"\n    patch={~p\"/products/#{@product}/settings\"}\n    selected={@tab == :settings}\n  />\n</.tab_menu_horizontal>\n```","title":"Example - Noora.TabMenu","ref":"Noora.TabMenu.html#module-example"},{"type":"function","doc":"","title":"Noora.TabMenu.tab_menu_horizontal/1","ref":"Noora.TabMenu.html#tab_menu_horizontal/1"},{"type":"function","doc":"* Global attributes are accepted.","title":"Attributes - Noora.TabMenu.tab_menu_horizontal/1","ref":"Noora.TabMenu.html#tab_menu_horizontal/1-attributes"},{"type":"function","doc":"* `inner_block` (required)","title":"Slots - Noora.TabMenu.tab_menu_horizontal/1","ref":"Noora.TabMenu.html#tab_menu_horizontal/1-slots"},{"type":"function","doc":"","title":"Noora.TabMenu.tab_menu_horizontal_item/1","ref":"Noora.TabMenu.html#tab_menu_horizontal_item/1"},{"type":"function","doc":"* `label` (`:string`) (required) - The label of the menu item.\n* `selected` (`:boolean`) - Whether the item is selected. Defaults to `false`.\n* `navigate` (`:string`) - Navigate to a different LiveView. Defaults to `nil`.\n* `patch` (`:string`) - Patches the current LiveView. Defaults to `nil`.\n* Global attributes are accepted.","title":"Attributes - Noora.TabMenu.tab_menu_horizontal_item/1","ref":"Noora.TabMenu.html#tab_menu_horizontal_item/1-attributes"},{"type":"function","doc":"* `icon_left` - Icon displayed on the left of an item.\n* `icon_right` - Icon displayed on the right of an item.","title":"Slots - Noora.TabMenu.tab_menu_horizontal_item/1","ref":"Noora.TabMenu.html#tab_menu_horizontal_item/1-slots"},{"type":"function","doc":"","title":"Noora.TabMenu.tab_menu_vertical/1","ref":"Noora.TabMenu.html#tab_menu_vertical/1"},{"type":"function","doc":"* `label` (`:string`) (required) - The label of the menu item.\n* Global attributes are accepted.","title":"Attributes - Noora.TabMenu.tab_menu_vertical/1","ref":"Noora.TabMenu.html#tab_menu_vertical/1-attributes"},{"type":"function","doc":"* `icon_left` - Icon displayed on the left of an item.\n* `icon_right` - Icon displayed on the right of an item.","title":"Slots - Noora.TabMenu.tab_menu_vertical/1","ref":"Noora.TabMenu.html#tab_menu_vertical/1-slots"},{"type":"module","doc":"Noora's table component.\n\nThe table component is used to display data in a tabular format. It supports various types of cells, such as text, badges, and buttons.","title":"Noora.Table","ref":"Noora.Table.html"},{"type":"module","doc":"The component expects its content to be passed as a list of rows or a LiveView stream as the `rows` attribute. Each row is a map with its\nvalues.\nColumns are defined using the `col` slot, which takes a label and an optional icon. Inside the columns, a large number of different cells\nare supported.","title":"Usage - Noora.Table","ref":"Noora.Table.html#module-usage"},{"type":"module","doc":"```\n<.table\n  id=\"table-single-cell-types\"\n  rows={[%{id: 1, label: \"Row One\", status: \"error\"}, %{id: 2, label: \"Row Two\", status: \"success\"}]}\n>\n  <:col :let={i} label=\"Text\">\n    <.text_cell label={i.label} sublabel=\"(Internal)\" icon=\"alert_circle\" />\n  </:col>\n  <:col :let={i} label=\"Status badge\">\n    <.status_badge_cell label={i.status} status={i.status />\n  </:col>\n</.table>\n```","title":"Example - Noora.Table","ref":"Noora.Table.html#module-example"},{"type":"function","doc":"","title":"Noora.Table.badge_cell/1","ref":"Noora.Table.html#badge_cell/1"},{"type":"function","doc":"* `label` (`:string`) - The label of the badge. Defaults to `nil`.\n* `icon` (`:string`) - An optional icon to render next to the label. Defaults to `nil`.\n* `style` (`:string`) - The style of the badge. Defaults to `\"fill\"`. Must be one of `\"fill\"`, or `\"light-fill\"`.\n* `color` (`:string`) - The color of the badge. Defaults to `\"neutral\"`. Must be one of `\"neutral\"`, `\"destructive\"`, `\"warning\"`, `\"attention\"`, `\"success\"`, `\"information\"`, `\"focus\"`, `\"primary\"`, or `\"secondary\"`.\n* Global attributes are accepted.","title":"Attributes - Noora.Table.badge_cell/1","ref":"Noora.Table.html#badge_cell/1-attributes"},{"type":"function","doc":"","title":"Noora.Table.button_cell/1","ref":"Noora.Table.html#button_cell/1"},{"type":"function","doc":"* Global attributes are accepted.","title":"Attributes - Noora.Table.button_cell/1","ref":"Noora.Table.html#button_cell/1-attributes"},{"type":"function","doc":"* `button` (required) - The button or buttons to render.","title":"Slots - Noora.Table.button_cell/1","ref":"Noora.Table.html#button_cell/1-slots"},{"type":"function","doc":"","title":"Noora.Table.link_button_cell/1","ref":"Noora.Table.html#link_button_cell/1"},{"type":"function","doc":"* `label` (`:string`) (required) - The label of the button.\n* `variant` (`:string`) - Determines the style. Defaults to `\"primary\"`. Must be one of `\"primary\"`, `\"secondary\"`, or `\"destructive\"`.\n* `underline` (`:boolean`) - Determines if the button is underlined. Defaults to `false`.\n* Global attributes are accepted.","title":"Attributes - Noora.Table.link_button_cell/1","ref":"Noora.Table.html#link_button_cell/1-attributes"},{"type":"function","doc":"* `icon_left` - Icon displayed on the left of an item.\n* `icon_right` - Icon displayed on the right of an item.","title":"Slots - Noora.Table.link_button_cell/1","ref":"Noora.Table.html#link_button_cell/1-slots"},{"type":"function","doc":"","title":"Noora.Table.status_badge_cell/1","ref":"Noora.Table.html#status_badge_cell/1"},{"type":"function","doc":"* `status` (`:string`) (required) - The status of the badge. Must be one of `\"success\"`, `\"error\"`, `\"warning\"`, `\"disabled\"`, or `\"attention\"`.\n* `label` (`:string`) - The label of the badge. Defaults to `nil`.\n* Global attributes are accepted.","title":"Attributes - Noora.Table.status_badge_cell/1","ref":"Noora.Table.html#status_badge_cell/1-attributes"},{"type":"function","doc":"","title":"Noora.Table.table/1","ref":"Noora.Table.html#table/1"},{"type":"function","doc":"* `id` (`:string`) (required) - A uniqie identifier for the table.\n* `rows` (`:list`) (required) - The table content.\n* `row_key` (`:fun`) - A function to generate the row key. Required when using a LiveView stream. If using streams and not provided, defaults to the `id` key of the stream. Defaults to `nil`.\n* `row_navigate` (`:fun`) - A function to generate the link to navigate to when clicking on a row. Defaults to `nil`.","title":"Attributes - Noora.Table.table/1","ref":"Noora.Table.html#table/1-attributes"},{"type":"function","doc":"* `empty_state`\n* `col` (required) - Accepts attributes:\n\n  * `label` (`:string`) - The label of the column.\n  * `icon` (`:string`) - An icon to render next to the label.\n  * `patch` (`:string`) - A patch to apply to the column.","title":"Slots - Noora.Table.table/1","ref":"Noora.Table.html#table/1-slots"},{"type":"function","doc":"","title":"Noora.Table.table_empty_state/1","ref":"Noora.Table.html#table_empty_state/1"},{"type":"function","doc":"* `icon` (`:string`) - Icon to show in the empty state. Defaults to `nil`.\n* `title` (`:string`) - Title of the empty state. Defaults to `nil`.\n* `subtitle` (`:string`) - Subtitle of the empty state. Defaults to `nil`.","title":"Attributes - Noora.Table.table_empty_state/1","ref":"Noora.Table.html#table_empty_state/1-attributes"},{"type":"function","doc":"* `inner_block` - Custom empty state content. Supersedes all attributes.","title":"Slots - Noora.Table.table_empty_state/1","ref":"Noora.Table.html#table_empty_state/1-slots"},{"type":"function","doc":"","title":"Noora.Table.tag_cell/1","ref":"Noora.Table.html#tag_cell/1"},{"type":"function","doc":"* `label` (`:string`) - The label of the badge. Defaults to `nil`.\n* `icon` (`:string`) - An optional icon to render next to the label. Defaults to `nil`.\n* Global attributes are accepted.","title":"Attributes - Noora.Table.tag_cell/1","ref":"Noora.Table.html#tag_cell/1-attributes"},{"type":"function","doc":"","title":"Noora.Table.text_and_description_cell/1","ref":"Noora.Table.html#text_and_description_cell/1"},{"type":"function","doc":"* `label` (`:string`) - The label of the cell. Defaults to `nil`.\n* `icon` (`:string`) - An optional icon to render next to the label. Mutually exclusive with `image`. Defaults to `nil`.\n* `description` (`:string`) - The description of the cell. Defaults to `nil`.\n* `secondary_description` (`:string`) - The secondary description of the cell. Defaults to `nil`.\n* Global attributes are accepted.","title":"Attributes - Noora.Table.text_and_description_cell/1","ref":"Noora.Table.html#text_and_description_cell/1-attributes"},{"type":"function","doc":"* `image` - An optional image to render next to the label. Takes precedence over `icon`.","title":"Slots - Noora.Table.text_and_description_cell/1","ref":"Noora.Table.html#text_and_description_cell/1-slots"},{"type":"function","doc":"","title":"Noora.Table.text_cell/1","ref":"Noora.Table.html#text_cell/1"},{"type":"function","doc":"* `label` (`:string`) - The label of the cell. Defaults to `nil`.\n* `icon` (`:string`) - An optional icon to render next to the label. Mutually exclusive with `image`. Defaults to `nil`.\n* `sublabel` (`:string`) - An optional sublabel. Defaults to `nil`.\n* Global attributes are accepted.","title":"Attributes - Noora.Table.text_cell/1","ref":"Noora.Table.html#text_cell/1-attributes"},{"type":"function","doc":"* `image` - An optional image to render next to the label. Mutually exclusive with `icon`. Takes precedence over `icon`.","title":"Slots - Noora.Table.text_cell/1","ref":"Noora.Table.html#text_cell/1-slots"},{"type":"function","doc":"","title":"Noora.Table.time_cell/1","ref":"Noora.Table.html#time_cell/1"},{"type":"function","doc":"* `time` (`DateTime`) (required) - The time to render.\n* `show_time` (`:boolean`) - Whether to show the time or date only. Defaults to `false`.\n* `relative` (`:boolean`) - Whether to show the time relative to now. Defaults to `false`.\n* Global attributes are accepted.","title":"Attributes - Noora.Table.time_cell/1","ref":"Noora.Table.html#time_cell/1-attributes"},{"type":"module","doc":"A tag component.\n\nIt can optionally be rendered with an icon and a button to dismiss it.","title":"Noora.Tag","ref":"Noora.Tag.html"},{"type":"module","doc":"```elixir\n<.tag label=\"Active\" />\n<.tag label=\"User\" icon=\"user\" />\n<.tag label=\"Beta\" dismissible={true} on_dismiss=\"remove_tag\" dismiss_value=\"beta\" />\n```","title":"Example - Noora.Tag","ref":"Noora.Tag.html#module-example"},{"type":"function","doc":"","title":"Noora.Tag.input_tag/1","ref":"Noora.Tag.html#input_tag/1"},{"type":"function","doc":"* `label` (`:string`) (required) - The label of the tag.\n* `dismissible` (`:boolean`) - Whether the tag can be dismissed. Defaults to `false`.\n* `on_dismiss` (`:string`) - The event to trigger when the tag is dismissed. Defaults to `nil`.\n* `dismiss_value` (`:string`) - Value to pass to the dismiss event. Defaults to `nil`.\n* `disabled` (`:boolean`) - Whether the tag is disabled. Defaults to `false`.\n* Global attributes are accepted.","title":"Attributes - Noora.Tag.input_tag/1","ref":"Noora.Tag.html#input_tag/1-attributes"},{"type":"function","doc":"","title":"Noora.Tag.tag/1","ref":"Noora.Tag.html#tag/1"},{"type":"function","doc":"* `label` (`:string`) (required) - The label of the tag.\n* `dismissible` (`:boolean`) - Whether the tag can be dismissed. Defaults to `false`.\n* `on_dismiss` (`:string`) - The event to trigger when the tag is dismissed. Defaults to `nil`.\n* `dismiss_value` (`:string`) - Value to pass to the dismiss event. Defaults to `nil`.\n* `icon` (`:string`) - An icon to render in front of the label. Defaults to `nil`.\n* `disabled` (`:boolean`) - Whether the tag is disabled. Defaults to `false`.\n* Global attributes are accepted.","title":"Attributes - Noora.Tag.tag/1","ref":"Noora.Tag.html#tag/1-attributes"},{"type":"module","doc":"A component for rendering a text divider.","title":"Noora.TextDivider","ref":"Noora.TextDivider.html"},{"type":"module","doc":"```elixir\n<.text_divider text=\"OR\" />\n<.text_divider text=\"Section 2\" />\n```","title":"Example - Noora.TextDivider","ref":"Noora.TextDivider.html#module-example"},{"type":"function","doc":"","title":"Noora.TextDivider.text_divider/1","ref":"Noora.TextDivider.html#text_divider/1"},{"type":"function","doc":"* `text` (`:string`) (required) - The text to display as the divider.","title":"Attributes - Noora.TextDivider.text_divider/1","ref":"Noora.TextDivider.html#text_divider/1-attributes"},{"type":"module","doc":"Renders text input and digit input components with customizable types, labels, placeholders, prefixes, suffixes, and event handling.","title":"Noora.TextInput","ref":"Noora.TextInput.html"},{"type":"module","doc":"```elixir\n<.text_input name=\"username\" label=\"Username\" placeholder=\"Enter username\" />\n<.text_input type=\"email\" name=\"email\" label=\"Email\" required={true} show_required={true} />\n<.text_input type=\"password\" name=\"password\" label=\"Password\" hint=\"Must be at least 8 characters\" />\n<.text_input type=\"search\" name=\"search\" placeholder=\"Search...\" />\n\n<.digit_input id=\"otp-input\" characters={6} otp={true} on_complete=\"verify_otp\" />\n```","title":"Example - Noora.TextInput","ref":"Noora.TextInput.html#module-example"},{"type":"function","doc":"","title":"Noora.TextInput.digit_input/1","ref":"Noora.TextInput.html#digit_input/1"},{"type":"function","doc":"* `id` (`:string`) (required)\n* `type` (`:string`) - Defaults to `\"numeric\"`. Must be one of `\"alphanumeric\"`, `\"numeric\"`, or `\"alphabetic\"`.\n* `characters` (`:integer`) (required) - The number of characters in the input.\n* `placeholder` (`:string`) - Defaults to `nil`.\n* `otp` (`:boolean`) - Defaults to `false`.\n* `error` (`:boolean`) - Defaults to `false`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `on_change` (`:string`) - Event handler for when the input changes. Triggers the event with value `{ value: string[],\n      valueAsString: string }`\n\n  Defaults to `nil`.\n* `on_complete` (`:string`) - Event handler for when the input is complete. Triggers the event with value `{ value: string[],\n      valueAsString: string }`\n\n  Defaults to `nil`.\n* `on_invalid` (`:string`) - Event handler for when the input is invalid. Triggers the event with value `{ value: string[],\n      valueAsString: string }`\n\n  Defaults to `nil`.\n* Global attributes are accepted.","title":"Attributes - Noora.TextInput.digit_input/1","ref":"Noora.TextInput.html#digit_input/1-attributes"},{"type":"function","doc":"","title":"Noora.TextInput.text_input/1","ref":"Noora.TextInput.html#text_input/1"},{"type":"function","doc":"* `id` (`:string`)\n* `field` (`Phoenix.HTML.FormField`) - A Phoenix form field.\n* `type` (`:string`) - Type of the input. Defaults to `\"basic\"`. Must be one of `\"basic\"`, `\"email\"`, `\"card_number\"`, `\"search\"`, or `\"password\"`.\n* `input_type` (`:string`) - HTML input type when type is `basic`. Defaults to `\"text\"`.\n* `label` (`:string`) - Label to be rendered in the input. Defaults to `nil`.\n* `sublabel` (`:string`) - Sublabel to be rendered in the input. Defaults to `nil`.\n* `hint` (`:string`) - Hint text to be rendered below the input. Defaults to `nil`.\n* `hint_variant` (`:string`) - Hint text variant. Defaults to `\"default\"`.\n* `error` (`:string`) - Errors to be rendered below the input. Takes precedence over `hint`.\n* `show_error_message` (`:boolean`) - Whether to show the error message below the input. Defaults to `true`.\n* `show_prefix` (`:boolean`) - Whether to show the prefix. Defaults to `true`.\n* `show_suffix` (`:boolean`) - Whether to show the suffix. Defaults to `true`.\n* `suffix_hint` (`:string`) - Hint text to show as tooltip at the end of the input. Takes precedence over the suffix set by `type`. Defaults to `nil`.\n* `name` (`:string`) - The name of the input.\n* `value` (`:string`) - The value of the input.\n* `placeholder` (`:string`) - Placeholder text to be rendered in the input. Defaults to `nil`.\n* `required` (`:boolean`) - Whether the input is required. Defaults to `false`.\n* `show_required` (`:boolean`) - Whether the required indicator is shown. Defaults to `false`.\n* `min` (`:any`) - Minimum value for number inputs. Defaults to `nil`.\n* `max` (`:any`) - Maximum value for number inputs. Defaults to `nil`.\n* `step` (`:any`) - Step value for number inputs. Defaults to `nil`.\n* Global attributes are accepted.","title":"Attributes - Noora.TextInput.text_input/1","ref":"Noora.TextInput.html#text_input/1-attributes"},{"type":"function","doc":"* `prefix` - Prefix to be rendered in the input. Only shown when type is `basic`.\n* `suffix` - Suffix to be rendered in the input. Takes precedence over `suffix_hint`.","title":"Slots - Noora.TextInput.text_input/1","ref":"Noora.TextInput.html#text_input/1-slots"},{"type":"module","doc":"A component to render a time.","title":"Noora.Time","ref":"Noora.Time.html"},{"type":"module","doc":"```elixir\n<.time time={@created_at} />\n<.time time={@updated_at} show_time={true} />\n<.time time={@last_login} relative={true} />\n```","title":"Example - Noora.Time","ref":"Noora.Time.html#module-example"},{"type":"function","doc":"","title":"Noora.Time.time/1","ref":"Noora.Time.html#time/1"},{"type":"function","doc":"* `time` (`DateTime`) (required) - The time to render.\n* `show_time` (`:boolean`) - Whether to show the time or date only. Defaults to `false`.\n* `relative` (`:boolean`) - Whether to show the time relative to now. Defaults to `false`.","title":"Attributes - Noora.Time.time/1","ref":"Noora.Time.html#time/1-attributes"},{"type":"module","doc":"Renders a tooltip component with a trigger, customizable size, title, description, and optional icon.","title":"Noora.Tooltip","ref":"Noora.Tooltip.html"},{"type":"module","doc":"```elixir\n<.tooltip id=\"help-tooltip\" title=\"Click to learn more\">\n  <:trigger :let={attrs}>\n     Help \n  </:trigger>\n</.tooltip>\n\n<.tooltip id=\"info-tooltip\" size=\"large\" title=\"Important Information\" description=\"This feature is currently in beta.\">\n  <:trigger :let={attrs}>\n     <.icon name=\"info\" /> \n  </:trigger>\n  <:icon>\n    <.icon name=\"alert-circle\" />\n  </:icon>\n</.tooltip>\n```","title":"Example - Noora.Tooltip","ref":"Noora.Tooltip.html#module-example"},{"type":"function","doc":"","title":"Noora.Tooltip.tooltip/1","ref":"Noora.Tooltip.html#tooltip/1"},{"type":"function","doc":"* `id` (`:string`) (required)\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `size` (`:string`) - Size of the tooltip. Defaults to `\"small\"`. Must be one of `\"small\"`, or `\"large\"`.\n* `title` (`:string`) (required) - Tooltip title.\n* `description` (`:string`) - Tooltip description. Only shown when `size` is set to large.","title":"Attributes - Noora.Tooltip.tooltip/1","ref":"Noora.Tooltip.html#tooltip/1-attributes"},{"type":"function","doc":"* `trigger` (required) - Tooltip trigger.\n* `icon` - Icon to be rendered inside the tooltip. Only shown when `size` is set to large.\n* `inner_block` - Content to be rendered inside the tooltip.","title":"Slots - Noora.Tooltip.tooltip/1","ref":"Noora.Tooltip.html#tooltip/1-slots"},{"type":"extras","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).\n\n\n<!-- generated by git-cliff -->","title":"Changelog","ref":"changelog.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}